{
  "name": "bodyshop-desktop",
  "version": "0.0.1-alpha.1",
  "description": "Shop Management System Partner",
  "main": "./out/main/index.js",
  "author": "Convenient Brands, LLC",
  "homepage": "https://convenient-brands.com",
  "scripts": {
    "format": "prettier --write .",
    "lint": "eslint --cache .",
    "typecheck:node": "tsc --noEmit -p tsconfig.node.json --composite false",
    "typecheck:web": "tsc --noEmit -p tsconfig.web.json --composite false",
    "typecheck": "npm run typecheck:node && npm run typecheck:web",
    "start": "electron-vite preview",
    "dev": "electron-vite dev",
    "build": "electron-vite build",
    "postinstall": "electron-builder install-app-deps",
    "build:unpack": "npm run build && electron-builder --dir",
    "build:win": "npm run build && electron-builder --win",
    "build:mac": "electron-vite build && electron-builder --mac",
    "build:linux": "electron-vite build && electron-builder --linux"
  },
  "dependencies": {
    "@apollo/client": "^3.13.5",
    "@electron-toolkit/preload": "^3.0.1",
    "@electron-toolkit/utils": "^4.0.0",
    "@sentry/electron": "^6.3.0",
    "@sentry/vite-plugin": "^3.2.4",
    "electron-log": "^5.3.2",
    "electron-store": "^8.2.0",
    "electron-updater": "^6.3.9",
    "winax": "^3.6.2"
  },
  "devDependencies": {
    "@ant-design/v5-patch-for-react-19": "^1.0.3",
    "@electron-toolkit/eslint-config-prettier": "^3.0.0",
    "@electron-toolkit/eslint-config-ts": "^3.0.0",
    "@electron-toolkit/tsconfig": "^1.0.1",
    "@playwright/test": "^1.51.0",
    "@reduxjs/toolkit": "^2.6.1",
    "@types/express": "^5.0.1",
    "@types/lodash": "^4.17.16",
    "@types/node": "^22.13.10",
    "@types/react": "^19.0.12",
    "@types/react-dom": "^19.0.4",
    "@vitejs/plugin-react": "^4.3.4",
    "antd": "^5.24.3",
    "chokidar": "^4.0.3",
    "cors": "^2.8.5",
    "dbffile": "^1.12.0",
    "electron": "^35.0.1",
    "electron-builder": "^25.1.8",
    "electron-log": "^5.3.2",
    "electron-store": "^8.2.0",
    "electron-vite": "^3.0.0",
    "eslint": "^9.22.0",
    "eslint-plugin-react": "^7.37.4",
    "eslint-plugin-react-hooks": "^5.2.0",
    "eslint-plugin-react-refresh": "^0.4.19",
    "express": "^4.21.2",
    "firebase": "^11.4.0",
    "graphql": "^16.10.0",
    "graphql-request": "^7.1.2",
    "i18next": "^24.2.2",
    "lodash": "^4.17.21",
    "playwright": "^1.51.0",
    "prettier": "^3.5.3",
    "react": "^19.0.0",
    "react-dom": "^19.0.0",
    "react-error-boundary": "^5.0.0",
    "react-i18next": "^15.4.1",
    "react-redux": "^9.2.0",
    "react-router": "^7.3.0",
    "redux-logger": "^3.0.6",
    "redux-thunk": "^3.1.0",
    "typescript": "^5.8.2",
    "vite": "^6.2.1"
  }
}
